io.vertx.sqlclient.templates.generator

## Class MapperGenBase

- java.lang.Object
- - io.vertx.codegen.Generator<io.vertx.codegen.DataObjectModel>
  - - io.vertx.sqlclient.templates.generator.MapperGenBase

- Direct Known Subclasses:
    ParametersMapperGen, RowMapperGen

      public abstract class MapperGenBase
      extends io.vertx.codegen.Generator<io.vertx.codegen.DataObjectModel>

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapperGenBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Class<? extends Annotation>>` | `annotations()`
    `String` | `filename(io.vertx.codegen.DataObjectModel model)`
    `protected abstract String` | `genSimpleName(io.vertx.codegen.DataObjectModel model)`
    `protected abstract Optional<io.vertx.codegen.type.AnnotationValueInfo>` | `getAnnotation(io.vertx.codegen.DataObjectModel model)`
    `protected String` | `getMappingName(io.vertx.codegen.PropertyInfo prop, String annotationName)`
    `String` | `render(io.vertx.codegen.DataObjectModel model, int index, int size, Map<String,Object> session)`
    `protected abstract void` | `renderDeclaration(io.vertx.codegen.DataObjectModel model, PrintWriter writer)`
    `protected abstract void` | `renderMembers(String visibility, io.vertx.codegen.DataObjectModel model, PrintWriter writer)`

    - ### Methods inherited from class io.vertx.codegen.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapperGenBase

          public MapperGenBase()

  - ### Method Detail

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `io.vertx.codegen.Generator<io.vertx.codegen.DataObjectModel>`

    - #### filename

          public String filename(io.vertx.codegen.DataObjectModel model)

      Overrides:
        `filename` in class `io.vertx.codegen.Generator<io.vertx.codegen.DataObjectModel>`

    - #### getAnnotation

          protected abstract Optional<io.vertx.codegen.type.AnnotationValueInfo> getAnnotation(io.vertx.codegen.DataObjectModel model)

    - #### genSimpleName

          protected abstract String genSimpleName(io.vertx.codegen.DataObjectModel model)

    - #### render

          public String render(io.vertx.codegen.DataObjectModel model,
                               int index,
                               int size,
                               Map<String,Object> session)

      Overrides:
        `render` in class `io.vertx.codegen.Generator<io.vertx.codegen.DataObjectModel>`

    - #### renderDeclaration

          protected abstract void renderDeclaration(io.vertx.codegen.DataObjectModel model,
                                                    PrintWriter writer)

    - #### renderMembers

          protected abstract void renderMembers(String visibility,
                                                io.vertx.codegen.DataObjectModel model,
                                                PrintWriter writer)

    - #### getMappingName

          protected String getMappingName(io.vertx.codegen.PropertyInfo prop,
                                          String annotationName)

Copyright © 2024 Eclipse. All rights reserved.